<template>
    <div style="background-color: #FFE0B2" >
        <Navbar/>
        <v-layout pt-6 >
          <v-flex xs4 offset-xs1 >
            <span ><h1><font size="18" color="black">คลังความรู้ยอดนิยม</font></h1></span>
          </v-flex>
          <v-flex xs6 pt-10 >
            <v-progress-linear
            color="black"
            /><br><br>
          </v-flex>
        </v-layout>
        <v-layout wrap class="mx-10 pt-5 " justify-center>
          <v-flex xs12 justify-center>
            <v-div >
              <v-div >
                <v-img
                  class="mx-auto "
                  height="200"
                  width="200"
                  :src="test+data_s.image"
                >
                </v-img>
              </v-div>
            </v-div>
          </v-flex>
        </v-layout>
        <v-layout>
          <v-flex xs12 justify-center pt-10 pa-12>
              <!-- ****************************text_box************************** -->
            <v-sheet color="rgb(232, 232, 232, 0.5)">
              <v-flex xs12 mx-5>
                <span ><font size="6" color="black">{{data_s.title}}</font></span><br>
                <font size="3" color="black">view : {{data_s.view}}</font><br><br>
                <font size="5" color="black"  class="align-center" >Detail  </font>
                  <v-progress-linear
                  color="black"
                  /><br>
                <font size="4" color="black"  class="align-center" > {{data_s.detail.replace(/\\n/g," ")}}</font>
              </v-flex><br><br><br>
            </v-sheet>
          </v-flex>
        </v-layout>
    </div>
</template>

<script>
import Navbar from '@/components/yuth/navbar_page.vue'
export default {
  data () {
    return {
      datas_view: [],
      test: process.env.VUE_APP_API
    }
  },
  created () {
    this.getDataDate()
  },
  components: {
    Navbar
  },
  methods: {
    async getDataDate () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/subsubject/landing_page/count_with_view')
        console.log('tee', response.data.data)
        this.datas_view = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    }
  },
  computed: {
    data_s: {
      get () {
        return this.$store.getters.popknowledge
      }
    }
  }
}

</script>
